Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1832632 - Review Request: python-authres - RFC 8601 Authentication-Results Headers generation and parsing
Summary: Review Request: python-authres - RFC 8601 Authentication-Results Headers gene...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michel Lind
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-07 00:23 UTC by Stuart D Gathman
Modified: 2020-06-19 16:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-04 02:49:42 UTC
Type: ---
Embargoed:
michel: fedora-review+


Attachments (Terms of Use)

Description Stuart D Gathman 2020-05-07 00:23:22 UTC
Spec URL: https://gathman.org/linux/SPECS/authres.spec
SRPM URL: https://gathman.org/linux/f31/src/python-authres-1.2.0-2.fc31.src.rpm
Description: RFC 5451 Authentication-Results Headers generation and parsing for Python.
Fedora Account System Username:sdgathman

Comment 1 Igor Raits 2020-05-08 14:25:56 UTC
> Group:          Development/Languages
Not needed.

> License:        Apache 2.0
License: ASL 2.0

> Release:        2%{dist}
Release:        2%{?dist}

> %setup -q -n %{srcname}-%{version}
%autosetup -n %{srcname}-%{version}

> %package -n python2-%{srcname}
Is there any reason to add python2 subpackage?

> %{python3_sitelib}/%{srcname}-*
%{python3_sitelib}/%{srcname}-*.egg-info/

> Source0:        %{srcname}-%{version}.tar.gz
You should put here instead link to the sources. If it is published on PyPI, then %{pypi_source} would do the trick.

* Missing BuildRequires: python3-setuptools

Comment 2 Stuart D Gathman 2020-05-08 15:44:19 UTC
Spec URL: https://gathman.org/linux/SPECS/authres.spec
SRPM URL: https://gathman.org/linux/f32/src/python-authres-1.2.0-3.fc32.src.rpm
Description: RFC 8601 Authentication-Results Headers generation and parsing for Python/Python3.  See README for extension RFCs implemented.

Fedora Account System Username:sdgathman

- Add check section, fix reviewer notes, update current RFC, add py2 conditional

Comment 3 Igor Raits 2020-05-08 16:30:44 UTC
I think the link still points to the old spec file.

Comment 4 Stuart D Gathman 2020-05-08 19:52:24 UTC
(In reply to Igor Gnatenko from comment #3)
> I think the link still points to the old spec file.

Sorry, forgot to copy the new spec - updated.

Comment 5 Igor Raits 2020-05-09 15:15:55 UTC
It looks good except of python2 conditional. Why is it needed at all?

Comment 6 Stuart D Gathman 2020-05-09 17:32:00 UTC
Because I have packages that depend on it - and EPEL7 at least will need it for some time.  You want to default to not build it starting f32 (since py2 was officially EOF before f32 was released)?

Comment 7 Stuart D Gathman 2020-05-11 12:13:51 UTC
Spec URL: https://gathman.org/linux/SPECS/authres.spec
SRPM URL: https://gathman.org/linux/f32/src/python-authres-1.2.0-4.fc33.src.rpm
Description: RFC 8601 Authentication-Results Headers generation and parsing for Python/Python3.  See README for extension RFCs implemented.

Fedora Account System Username:sdgathman

- Remove python2 support entirely for rawhide (ewww!  yecch!).  Can add it to branches for older releases.

Comment 8 Stuart D Gathman 2020-05-12 14:54:03 UTC
Spec URL: https://gathman.org/linux/SPECS/authres.spec
SRPM URL: https://gathman.org/linux/f33/src/python-authres-1.2.0-4.fc33.src.rpm
Description: RFC 8601 Authentication-Results Headers generation and parsing for Python/Python3.  See README for extension RFCs implemented.

Fedora Account System Username:sdgathman

- Remove python2 support entirely for rawhide (ewww!  yecch!).  Can add it to branches for older releases.

Comment 9 Michel Lind 2020-05-12 18:27:52 UTC
Will be reviewing this

Comment 10 Michel Lind 2020-05-15 22:33:39 UTC
Sorry for the delay! The package mostly looks good, but:

- please rename the spec to python-authres.spec - see https://docs.fedoraproject.org/en-US/packaging-
  guidelines/#_spec_file_naming

- for %check, please don't hardcode python3:

python3 -m authres

should be
%{python3} -m authres

see: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/

Comment 11 Stuart D Gathman 2020-05-16 14:29:47 UTC
Spec URL: https://gathman.org/linux/SPECS/authres.spec
SRPM URL: https://gathman.org/linux/f33/src/python-authres-1.2.0-5.fc33.src.rpm
Description: RFC 8601 Authentication-Results Headers generation and parsing for Python/Python3.  See README for extension RFCs implemented.

Fedora Account System Username:sdgathman

- Rename spec file to python-authres.spec, use macro for check
- Remove python2 support entirely for rawhide (ewww!  yecch!).  Can add it to branches for older releases.

Comment 12 Stuart D Gathman 2020-05-16 15:03:27 UTC
Spec URL: https://gathman.org/linux/SPECS/python-authres.spec
SRPM URL: https://gathman.org/linux/f33/src/python-authres-1.2.0-5.fc33.src.rpm
Description: RFC 8601 Authentication-Results Headers generation and parsing for Python/Python3.  See README for extension RFCs implemented.

Fedora Account System Username:sdgathman

- Rename spec file to python-authres.spec, use macro for check
- Remove python2 support entirely for rawhide (ewww!  yecch!).  Can add it to branches for older releases.

Comment 13 Michel Lind 2020-05-22 19:10:59 UTC
This looks fine, APPROVED

One minor nit: upstream provides a .sig file, so consider using gpgverify to make sure the source tarball is what they signed

[!]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Apache License 2.0". 12 files have
     unknown license. Detailed output of licensecheck in
     /home/michel/src/fedora/reviews/1832632-python-
     authres/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-authres-1.2.0-5.fc33.noarch.rpm
          python-authres-1.2.0-5.fc33.src.rpm
python-authres.src:9: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 9)
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
python3-authres.noarch: W: invalid-url URL: https://launchpad.net/authentication-results-python <urlopen error [Errno -2] Name or service not known>
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Source checksums
----------------
https://launchpad.net/authentication-results-python/1.2/1.2.0/+download/authres-1.2.0.tar.gz :
  CHECKSUM(SHA256) this package     : 93d1b995ad7ce21e62db649f361048125dd6022563a0ae8a23909465f1fd25b7
  CHECKSUM(SHA256) upstream package : 93d1b995ad7ce21e62db649f361048125dd6022563a0ae8a23909465f1fd25b7


Requires
--------
python3-authres (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-authres:
    python-authres
    python3-authres
    python3.8-authres
    python3.8dist(authres)
    python3dist(authres)



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1832632
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Ocaml, fonts, Java, C/C++, Haskell, SugarActivity, Perl, R, PHP
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 14 Igor Raits 2020-05-26 05:17:23 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-authres

Comment 15 Fedora Update System 2020-05-26 19:33:19 UTC
FEDORA-2020-df96a9bedb has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-df96a9bedb

Comment 16 Fedora Update System 2020-05-26 19:33:19 UTC
FEDORA-EPEL-2020-b674044bb9 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-b674044bb9

Comment 17 Fedora Update System 2020-05-26 19:33:20 UTC
FEDORA-2020-ef2626f500 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ef2626f500

Comment 18 Fedora Update System 2020-05-26 19:33:22 UTC
FEDORA-EPEL-2020-2a493d2663 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-2a493d2663

Comment 19 Fedora Update System 2020-05-27 02:21:31 UTC
FEDORA-2020-df96a9bedb has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-df96a9bedb \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-df96a9bedb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2020-05-27 02:42:39 UTC
FEDORA-2020-ef2626f500 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-ef2626f500 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ef2626f500

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 21 Fedora Update System 2020-05-27 03:40:07 UTC
FEDORA-EPEL-2020-2a493d2663 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-2a493d2663

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 22 Fedora Update System 2020-06-02 07:53:04 UTC
FEDORA-EPEL-2020-b674044bb9 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-b674044bb9

Comment 23 Fedora Update System 2020-06-03 05:57:47 UTC
FEDORA-EPEL-2020-b674044bb9 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-b674044bb9

Comment 24 Fedora Update System 2020-06-04 02:49:42 UTC
FEDORA-2020-ef2626f500 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 25 Fedora Update System 2020-06-04 02:54:29 UTC
FEDORA-2020-df96a9bedb has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 26 Fedora Update System 2020-06-04 03:28:42 UTC
FEDORA-EPEL-2020-b674044bb9 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-b674044bb9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 27 Fedora Update System 2020-06-11 18:53:55 UTC
python-authres-1.2.0-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2020-06-19 16:25:32 UTC
FEDORA-EPEL-2020-b674044bb9 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.